
Foreman - Bug #30431

Grub2 template no longer works with IPv6 only hosts

07/17/2020 02:09 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Templates   

Target version: 2.1.1   

Difficulty: trivial Fixed in Releases: 2.1.1, 2.2.0

Triaged: Yes Found in Releases:  

Bugzilla link: 1856837 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7828,

https://github.com/theforeman/foreman/p

ull/7845

  

Description

Subnet is set to nil in this case, thus undefined method '#httpboot' for NilClass::Jail (NilClass) error.

Associated revisions

Revision 5c95d039 - 07/22/2020 12:53 PM - Lukas Zapletal

Fixes #30431 - Grub2 IPv6 only subnet nil error

History

#1 - 07/17/2020 02:15 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7828 added

#2 - 07/17/2020 02:16 PM - Lukas Zapletal

- Target version set to 2.1.1

#3 - 07/22/2020 12:53 PM - The Foreman Bot

- Fixed in Releases 2.2.0 added

#4 - 07/22/2020 12:57 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7845 added

#5 - 07/22/2020 01:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|5c95d03961e399cdccdd2ac2641794a89086f03a.

#6 - 07/22/2020 01:50 PM - Tomer Brisker

- Fixed in Releases 2.1.1 added

#7 - 09/10/2020 05:07 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7975 added
